<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Document</title>
  </head>
  <body>
    <h1>Data Selfie App</h1>
    <p>
      latitude: <span id="latitude"></span>&deg;<br />
      longitude: <span id="longitude"></span>&deg;
    </p>
    <button id="submit">submit</button>
    <script>
      let lat, lon;
      const button = document.getElementById("submit");
      button.addEventListener("click", async (event) => {
        const data = { lat, lon };
        const options = {
          method: "POST",
          headers: {
            "Content-Type": "application/json",
          },
          body: JSON.stringify(data),
        };
        const response = await fetch("/api", options);
        const json = await response.json();
        console.log(json);
      });

      if ("geolocation" in navigator) {
        console.log("geolocation available");
        navigator.geolocation.getCurrentPosition(async (position) => {
          lat = position.coords.latitude;
          lon = position.coords.longitude;
          document.getElementById("latitude").textContent = lat;
          document.getElementById("longitude").textContent = lon;
        });
      } else {
        console.log("geolocation not available");
      }
    </script>
  </body>
</html>